
From: Paul Mackerras <paulus@samba.org>

This patch is from Nishanth Aravamudan <nacc@us.ibm.com>.

Replace schedule_timeout() with msleep to simplify the code and to express the
delay in milliseconds instead of HZ.

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Paul Mackerras <paulus@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/smp.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN arch/ppc64/kernel/smp.c~ppc64-replace-schedule_timeout-in-__cpu_up arch/ppc64/kernel/smp.c
--- 25/arch/ppc64/kernel/smp.c~ppc64-replace-schedule_timeout-in-__cpu_up	2005-01-23 00:51:26.115706048 -0800
+++ 25-akpm/arch/ppc64/kernel/smp.c	2005-01-23 00:51:26.119705440 -0800
@@ -459,8 +459,7 @@ int __devinit __cpu_up(unsigned int cpu)
 		 * hotplug case.  Wait five seconds.
 		 */
 		for (c = 25; c && !cpu_callin_map[cpu]; c--) {
-			set_current_state(TASK_UNINTERRUPTIBLE);
-			schedule_timeout(HZ/5);
+			msleep(200);
 		}
 #endif
 
_
